<div class="p-3 bg-marvisur  subtitle_talent">
  <div class="subtitle-marvisur">Gestión del talento humano</div>
  <button [routerLink]="'/v1/alumnos/create/'" class="btn_create"><i class="fas fa-plus"></i> &nbsp;Crear Nuevo</button>
</div>

<div class="m-3 mt-6" fxLayout="column" fxLayout.gt-sm="row" fxLayoutAlign="space-between center">
  <div fxFlex="100%" class="p-6 bg-white shadow rounded-2xl overflow-hidden" style="height:84vh;">
    <div class="font-sans font-medium text-lg tracking-tight leading-6 truncate">Lista de Convocatorias</div>
    <table mat-table [dataSource]="dataSource">
      <ng-container matColumnDef="nombre">
        <th mat-header-cell  *matHeaderCellDef> Cargo</th>
        <td mat-cell class="text-xs" [width]="300" *matCellDef="let data"> {{data.cargo}} </td>
      </ng-container>
      <!-- Index Column -->
      <ng-container matColumnDef="code">
        <th mat-header-cell   *matHeaderCellDef> Estudios </th>
        <td mat-cell [width]="200" class="text-xs" *matCellDef="let data"> {{data.estudios}} </td>
      </ng-container>
      <!-- Index Column -->
      <ng-container matColumnDef="fechainicio">
        <th mat-header-cell [width]="200" *matHeaderCellDef> Conocimientos </th>
        <td mat-cell [width]="200" class="text-xs" *matCellDef="let data"> {{data.conocimientos}} </td>
      </ng-container>
      <!-- Index Column -->
      <ng-container matColumnDef="categoria">
        <th mat-header-cell [width]="300" *matHeaderCellDef> funciones </th>
        <td mat-cell [width]="300" class="text-xs" *matCellDef="let data"> {{data.funciones}} </td>
      </ng-container>
      <!-- Index Column -->
      <ng-container matColumnDef="tipo">
        <th mat-header-cell *matHeaderCellDef> Lugar </th>
        <td mat-cell [width]="300" class="text-xs" *matCellDef="let data"> {{data.lugar}} </td>
      </ng-container>

      <ng-container matColumnDef="ver">
        <th mat-header-cell *matHeaderCellDef > sueldo </th>
        <td mat-cell [width]="100" *matCellDef="let data">     <button mat-icon-button color="warn" (click)="openInfo(data.id)">
          <mat-icon>visibility</mat-icon>
        </button>
        </td>
      </ng-container>
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
    <mat-paginator #paginatorProduct [length]="total" [pageSize]="pageSize" [pageSizeOptions]="[6, 12, 24]"></mat-paginator>
  </div>
</div>
